import React, { useRef, useState, useImperativeHandle, useEffect } from 'react';
import 'jb-payment-input/bank-indicator';

// eslint-disable-next-line react/display-name
const BankIndicator = React.forwardRef((props, ref) => {
    const element = useRef(null);
    const [refChangeCount, refChangeCountSetter] = useState(0);
    useImperativeHandle(ref, () => (element ? element.current : {}), [element]);
    useEffect(() => {
        refChangeCountSetter(refChangeCount + 1);
    }, [element.current]);
    useEffect(() => {
        if (props.prefix && typeof props.prefix === "string" && props.prefix !== "") {
            element.current?.setAttribute('prefix', props.prefix);
        }
    }, [props.prefix]);
    return (React.createElement("bank-indicator", { ref: element, class: props.className ? props.className : '', slot: props.slot }));
});
BankIndicator.displayName = "BankIndicator";

export { BankIndicator };
//# sourceMappingURL=BankIndicator.js.map
