(function (global, factory) {
  typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('react'), require('jb-payment-input/bank-indicator')) :
  typeof define === 'function' && define.amd ? define(['exports', 'react', 'jb-payment-input/bank-indicator'], factory) :
  (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory(global.BankIndicator = {}, global.React));
})(this, (function (exports, React) { 'use strict';

  // eslint-disable-next-line react/display-name
  const BankIndicator = React.forwardRef((props, ref) => {
      const element = React.useRef(null);
      const [refChangeCount, refChangeCountSetter] = React.useState(0);
      React.useImperativeHandle(ref, () => (element ? element.current : {}), [element]);
      React.useEffect(() => {
          refChangeCountSetter(refChangeCount + 1);
      }, [element.current]);
      React.useEffect(() => {
          if (props.prefix && typeof props.prefix === "string" && props.prefix !== "") {
              element.current?.setAttribute('prefix', props.prefix);
          }
      }, [props.prefix]);
      return (React.createElement("bank-indicator", { ref: element, class: props.className ? props.className : '', slot: props.slot }));
  });
  BankIndicator.displayName = "BankIndicator";

  exports.BankIndicator = BankIndicator;

}));
//# sourceMappingURL=BankIndicator.umd.js.map
